Skip to navigation

Get branding resource file

View as Markdown

This method returns a specific branding resource file.

A brand uses a set of brand resource files to control the sending, signing, email message, and captive (embedded) signing experiences. You can modify the default email messages and formats in these files and upload them to your brand to customize the user experience.

Important: When you upload a modified resource file, only the elements that differ from the master resource file are saved as your resource file. Similarly, when you download your resource files, only the modified elements are included in the file.

Note: Branding for either signing or sending must be enabled for the account (canSelfBrandSend , canSelfBrandSign, or both of these account settings must be true).

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

brandIdstringRequired
The ID of the brand.
resourceContentTypestringRequired

The type of brand resource file to return. Valid values are:

  • sending
  • signing
  • email
  • signing_captive

Query parameters

langcodestringOptional

The ISO 3166-1 alpha-2 codes for the languages that the brand supports.

return_masterstringOptional

Specifies which resource file data to return. When true, only the master resource file is returned. When false, only the elements that you modified are returned.

Response

Successful response.

Errors

400
Bad Request Error